Get Users
curl --request GET \
--url https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users \
--header 'x-client-key: <api-key>' \
--header 'x-client-secret: <api-key>'import requests
url = "https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users"
headers = {
"x-client-key": "<api-key>",
"x-client-secret": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-client-key': '<api-key>', 'x-client-secret': '<api-key>'}
};
fetch('https://api.xenia.team/api/v1/mgt/workspaces/{workspaceId}/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "e25dd448-7ae7-4588-8767-7e1a316547e5",
"firstName": "Full User",
"lastName": "(China)",
"fullName": "Full User (China)",
"photo": "https://cdn.xenia.team/00158aa1-f9d0-4b68-ba11-6dee2ce89aa1/2024/1/16/12218415/avatar.jpg",
"phoneNo": "+923345020366",
"emailId": "nihad2@yopmail.com",
"createdAt": "2025-06-18T11:39:28.164Z",
"UserWorkspaces": [
{
"WorkspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"title": "Location Manager",
"defaultLocationId": "a13ddb59-3e5c-4bdd-8673-fc913b93b9db",
"pin": "1234",
"homepage": {
"mobile": "DEFAULT",
"web": "DEFAULT"
},
"status": "Active",
"isAdmin": false,
"RoleId": "4ccf0b65-fb99-40da-92d6-3f98730df8b2",
"Role": {
"id": "4ccf0b65-fb99-40da-92d6-3f98730df8b2",
"title": "Manager"
}
}
],
"UserLocations": [
{
"LocationId": "a13ddb59-3e5c-4bdd-8673-fc913b93b9db"
}
],
"UserWorkspace": {
"WorkspaceId": "cb363f7e-c52a-4478-911d-f6a6f791090e",
"title": "Location Manager",
"defaultLocationId": "a13ddb59-3e5c-4bdd-8673-fc913b93b9db",
"status": "Active",
"isAdmin": false,
"RoleId": "4ccf0b65-fb99-40da-92d6-3f98730df8b2"
}
}
],
"meta": {
"current_page": 1,
"last_page": 1,
"per_page": 10000,
"total": 1
}
}Users
Get Users
Fetches all users in the given workspace. The meta object carries pagination: current_page, last_page, per_page, total.
GET
/
api
/
v1
/
mgt
/
workspaces
/
{workspaceId}
/
users
Get Users
Authorizations
Client API key for authentication
Client secret for authentication
Path Parameters
The UUID of the workspace
⌘I